Subject: Re: [PATCH net-next 2/2] net: sfp: relax bitrate-derived mode check

From: Andrew Lunn <[email-masked]>
Date: Fri, 4 Dec 2020 16:38:50 +0100

On Fri, Dec 04, 2020 at 02:35:27PM +0000, Russell King wrote:
> Do not check the encoding when deriving 1000BASE-X from the bitrate
> when no other modes are discovered. Some GPON modules (VSOL V2801F
> and CarlitoxxPro CPGOS03-0490 v2.0) indicate NRZ encoding with a
> 1200Mbaud bitrate, but should be driven with 1000BASE-X on the host
> side.

Seems like somebody could make a nice side line writing SFP EEPROM
validation tools. There obviously are none in widespread use!

Reviewed-by: Andrew Lunn <[email-masked]>

    Andrew